{% set locales = app_locales|split('|') %}
{% set ente = instance_service.getCurrentInstance() %}
<div class="header-slim-right-zone">
  {% if locales|length > 1 %}
    <div class="nav-item dropdown">
      <a class="nav-link dropdown-toggle" href="#" data-toggle="dropdown" aria-expanded="false">
        <span>{{ app.request.locale|capitalize }}</span>
        <svg class="icon d-none d-lg-block">
          <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-expand"></use>
        </svg>
      </a>
      <div class="dropdown-menu">
        <div class="row">
          <div class="col-12">
            <div class="link-list-wrapper">
              <ul class="link-list">
                {% for locale in locales %}
                  {% if locale is not empty %}
                    <li><a class="list-item" href="{{ app.request.pathInfo|replace({(prefix) ~ '/' ~ (app.request.locale): prefix ~ '/' ~ locale}) }}"><span>{{ locale|upper }}</span></a></li>
                  {% endif %}
                {% endfor %}
              </ul>
            </div>
          </div>
        </div>
      </div>
    </div>
  {% endif %}

  {% if user.roles is defined %}
    <div class="it-access-top-wrapper">
      {% if 'ROLE_CPS_USER' in user.roles %}
        <div class="dropdown menu-wrapper">
          <a class="btn btn-full btn-dropdown dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
             data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <svg class="icon icon-lg">
              <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-expand') }}"></use>
            </svg>
            <span>{{ user.fullName }}</span>
          </a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">

            <div class="link-list-wrapper">
              <ul class="link-list">
                <li>
                  <a class="list-item left-icon" href="{{ path('user_profile') }}">
                    <svg class="icon icon-sm icon-primary left ">
                      <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-user') }}"></use>
                    </svg>
                    <span>{{ 'nav.header.profile' | trans }}</span>
                  </a>
                </li>
                <li>
                  <a class="list-item left-icon" href="{{ path('user_dashboard') }}">
                     <svg class="icon icon-sm icon-primary left">
                      <use xlink:href="{{ asset('/bootstrap-italia/dist/svg/sprite.svg#it-pa') }}"></use>
                    </svg>
                    <span>{{ 'nav.dashboard' | trans }}</span>
                  </a>
                </li>
                <li>
                  <a class="list-item left-icon" href="{{ path('pratiche') }}">
                    <svg class="icon icon-sm icon-primary left">
                      <use xlink:href="{{ asset('/bootstrap-italia/dist/svg/sprite.svg#it-files') }}"></use>
                    </svg>
                    <span>{{ 'nav.pratiche' | trans }}</span>
                  </a>
                </li>
                <li>
                  <a class="list-item left-icon" href="{{ path('allegati_list_cpsuser') }}">
                    <svg class="icon icon-sm icon-primary left">
                      <use xlink:href="{{ asset('/bootstrap-italia/dist/svg/sprite.svg#it-box') }}"></use>
                    </svg>
                    <span>{{ 'nav.allegati' | trans }}</span>
                  </a>
                </li>
                <li>
                  <a class="list-item left-icon" href="{{ path('folders_list_cpsuser') }}">
                    <svg class="icon icon-sm icon-primary left">
                      <use xlink:href="{{ asset('/bootstrap-italia/dist/svg/sprite.svg#it-folder') }}"></use>
                    </svg>
                    <span>{{ 'nav.documenti' | trans }}</span>
                  </a>
                </li>
                {% if 'operatori_subscription-service_index' in ente.backofficeEnabledIntegrations %}
                  <li>
                    <a class="list-item left-icon" href="{{ path('subscriptions_list_cpsuser') }}">
                      <svg class="icon icon-sm icon-primary left">
                        <use xlink:href="{{ asset('/bootstrap-italia/dist/svg/sprite.svg#it-pencil') }}"></use>
                      </svg>
                      <span>{{ 'nav.iscrizioni' | trans }}</span>
                    </a>
                  </li>
                {% endif %}
                <li>
                  <a class="list-item left-icon" href="{{ path('payments_list_cpsuser') }}">
                    <svg class="icon icon-sm icon-primary left">
                      <use xlink:href="{{ asset('/bootstrap-italia/dist/svg/sprite.svg#it-card') }}"></use>
                    </svg>
                    <span>{{ 'general.payment_data'|trans }}</span>
                  </a>
                </li>
                <li>
                  <span class="divider"></span>
                </li>
                <li>
                  <a class="list-item left-icon" href="{{ logout_path('open_login') }}">
                    <svg class="icon icon-sm icon-primary left">
                      <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-link') }}"></use>
                    </svg>
                    <span>{{ 'nav.header.logout' | trans }}</span>
                  </a>
                </li>
              </ul>
            </div>

          </div>
        </div>
      {% elseif is_granted('ROLE_ADMIN') or is_granted('ROLE_OPERATORE') %}
        <div class="dropdown">
          <a class="btn btn-full btn-dropdown dropdown-toggle" href="#" role="button" id="dropdownMenuLink"
             data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <svg class="icon icon-lg">
              <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-expand') }}"></use>
            </svg>
            <span class="d-none d-lg-block">{{ user.fullName }}</span>
          </a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuLink">
            <div class="link-list-wrapper">
              <ul class="link-list">
                <li>
                  <a class="list-item left-icon" href="{{ path('security_profile') }}">
                    <svg class="icon icon-sm icon-primary left ">
                      <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-user') }}"></use>
                    </svg>
                    <span>{{ 'nav.header.profile' | trans }}</span>
                  </a>
                </li>
                <li>
                  <a class="list-item left-icon" href="{% if is_granted('ROLE_ADMIN') %}{{ path('admin_index') }}{% else %}{{ path('operatori_index') }}{% endif %}">
                    <svg class="icon icon-sm icon-primary left ">
                      <use xlink:href="{{ asset('/bootstrap-italia/dist/svg/sprite.svg#it-software') }}"></use>
                    </svg>
                    <span>Dashboard</span>
                  </a>
                </li>
                <li>
                  <span class="divider"></span>
                </li>
                <li>
                  <a class="list-item left-icon" href="{{ path('security_logout') }}">
                    <svg class="icon icon-sm icon-primary left ">
                      <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-link') }}"></use>
                    </svg>
                    <span>{{ 'nav.header.logout' | trans }}</span>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
      {% endif %}
    </div>
  {% elseif login_route != constant('App\\Security\\AbstractAuthenticator::LOGIN_TYPE_NONE') %}
    <div class="header-slim-right-zone">
      <div class="it-access-top-wrapper">
        <a data-login-top-button="" class="btn btn-icon" href="{{ path('user_dashboard') }}" title="Esegui il login al sito" data-element="personal-area-login">
        <span class="rounded-icon">
        <svg class="icon icon-primary">
          <use xlink:href="{{ asset('bootstrap-italia/dist/svg/sprite.svg#it-user') }}"></use>
        </svg>
        </span>
          <span class="d-none d-lg-block login">{{ 'nav.header.access_my_area' | trans }}</span>
        </a>
      </div>
    </div>
  {% endif %}
</div>

